# Translate API . languages

## Instance Methods

List the source/target languages supported by the API

### Method Details

`list(target=None)`

    List the source/target languages supported by the API

    Args:
      target: string, the language and collation in which the localized results should be returned

    Returns:
      An object of the form:

        {
        "languages": [ # List of source/target languages supported by the translation API. If target parameter is unspecified, the list is sorted by the ASCII code point order of the language code. If target parameter is specified, the list is sorted by the collation order of the language name in the target language.
          {
            "name": "A String", # The localized name of the language if target parameter is given.
            "language": "A String", # The language code.
          },
        ],
      }